- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Hierarchy
- Class Members

# CBaseSplitterOutputPin Class Reference

Inheritance diagram for CBaseSplitterOutputPin:

List of all members.

## Public Member Functions
| CBaseSplitterOutputPin (CArray< CMediaType > &mts, LPCWSTR pName, CBaseFilter *pFilter, CCritSec *pLock, HRESULT *phr, int nBuffers=0)
| CBaseSplitterOutputPin (LPCWSTR pName, CBaseFilter *pFilter, CCritSec *pLock, HRESULT *phr, int nBuffers=0)
virtual | ~CBaseSplitterOutputPin ()
STDMETHODIMP | NonDelegatingQueryInterface (REFIID riid, void **ppv)
HRESULT | SetName (LPCWSTR pName)
HRESULT | DecideBufferSize (IMemAllocator *pAlloc, ALLOCATOR_PROPERTIES *pProperties)
HRESULT | CheckMediaType (const CMediaType *pmt)
HRESULT | GetMediaType (int iPosition, CMediaType *pmt)
CMediaType & | CurrentMediaType ()
STDMETHODIMP | Notify (IBaseFilter *pSender, Quality q)
HANDLE | GetThreadHandle ()
void | SetThreadPriority (int nPriority)
HRESULT | Active ()
HRESULT | Inactive ()
HRESULT | DeliverBeginFlush ()
HRESULT | DeliverEndFlush ()
HRESULT | DeliverNewSegment (REFERENCE_TIME tStart, REFERENCE_TIME tStop, double dRate)
int | QueueCount ()
int | QueueSize ()
HRESULT | QueueEndOfStream ()
HRESULT | QueuePacket (CAutoPtr< Packet > p)
virtual bool | IsDiscontinuous ()
bool | IsActive ()
| STDMETHODIMP_ (DWORD) GetCurrentBitRate()
| STDMETHODIMP_ (DWORD) GetAverageBitRate()
## Public Attributes
| DECLARE_IUNKNOWN
## Protected Member Functions
virtual HRESULT | DeliverPacket (CAutoPtr< Packet > p)
STDMETHODIMP | GetCapabilities (DWORD *pCapabilities)
STDMETHODIMP | CheckCapabilities (DWORD *pCapabilities)
STDMETHODIMP | IsFormatSupported (const GUID *pFormat)
STDMETHODIMP | QueryPreferredFormat (GUID *pFormat)
STDMETHODIMP | GetTimeFormat (GUID *pFormat)
STDMETHODIMP | IsUsingTimeFormat (const GUID *pFormat)
STDMETHODIMP | SetTimeFormat (const GUID *pFormat)
STDMETHODIMP | GetDuration (LONGLONG *pDuration)
STDMETHODIMP | GetStopPosition (LONGLONG *pStop)
STDMETHODIMP | GetCurrentPosition (LONGLONG *pCurrent)
STDMETHODIMP | ConvertTimeFormat (LONGLONG *pTarget, const GUID *pTargetFormat, LONGLONG Source, const GUID *pSourceFormat)
STDMETHODIMP | SetPositions (LONGLONG *pCurrent, DWORD dwCurrentFlags, LONGLONG *pStop, DWORD dwStopFlags)
STDMETHODIMP | GetPositions (LONGLONG *pCurrent, LONGLONG *pStop)
STDMETHODIMP | GetAvailable (LONGLONG *pEarliest, LONGLONG *pLatest)
STDMETHODIMP | SetRate (double dRate)
STDMETHODIMP | GetRate (double *pdRate)
STDMETHODIMP | GetPreroll (LONGLONG *pllPreroll)
## Protected Attributes
CArray< CMediaType > | m_mts
int | m_nBuffers
REFERENCE_TIME | m_rtStart

## Detailed Description

Definition at line 90 of file BaseSplitter.h.

The documentation for this class was generated from the following files:

- C:/guliverkli/src/filters/parser/basesplitter/BaseSplitter.h
- C:/guliverkli/src/filters/parser/basesplitter/BaseSplitter.cpp